RoutesAdmin module

Admin routes

URLs the Admin module answers, their parameters and the variables each view receives.

View cdna-admin screens of this module.

Admin view

GET /cdna-admin/admin/add-menu-element/{parent.id} addMenuElement

Add a new record. Assigns an empty record to the template.

Path parameters parent.id matches \d+

The admin template receives
VariableTypeDescription
$menuElement MenuElement Single (empty) MenuElement record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/admin/menu-element/{id} editMenuElement

Retrieve a single record and display the edit page for the record

Path parameters id matches \d+

The admin template receives
VariableTypeDescription
$menuElement MenuElement Retrieved MenuElement record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/admin/menu-elements manageMenuElements

Retrieve available records and assign them to the template for editing.

The admin template receives
VariableTypeDescription
$menuElements Collection<MenuElement> Collection of MenuElements

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/admin/jobs manageJobs

Retrieve available records and assign them to the template for editing.

The admin template receives
VariableTypeDescription
$jobs Collection<Job> Collection of Jobs

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/admin/audit-log showAuditLog

Retrieve available records and assign them to the template for editing.

Common variables such as $_url, $_request and $_menu are available too. Global template variables

Only GET routes list their variables.